package service

type Message struct {
	MsgId  string      `json:"a"`
	RoomId int         `json:"r"`
	Data   interface{} `json:"p"`
	Token  string      `json:"k"`
	Uid    int64       `json:"uid"`
}

type MsgData struct {
	MsgId string      `json:"a"`
	Data  interface{} `json:"d"`
}

type RspData struct {
	User string  `json:"u"`
	Data MsgData `json:"d"`
}

type RspMessage struct {
	Fun  string  `json:"a"`
	Data RspData `json:"p"`
}
