package poker

type IPokerGenerator interface {
	Shuffle()
	SetGmPoker(gmPokers [][]int, ghostPoker int, seat int)
	Pokers() []*Poker
	CutPoker() *Poker
	IsWildPoker(pk *Poker) bool
	WildPokers() []*Poker
	WildPoker() *Poker
}
