package stub

type Global struct {
	TrucoWinPoint        int `json:"TrucoWinPoint"`        // 12分赢
	TrucoGameStartTime   int `json:"TrucoGameStartTime"`   // 游戏开始倒计时 秒
	TrucoDealPokerTime   int `json:"TrucoDealPokerTime"`   // 发牌结束后倒计时通知玩家行动 秒
	TrucoDecidingGameNtf int `json:"TrucoDecidingGameNtf"` // 决胜局通知
	TrucoActExTime       int `json:"TrucoActExTime"`       // 超时后的额外行动倒计时 秒
	TrucoCmpPokerTime    int `json:"TrucoCmpPokerTime"`    // 比牌结算时间 秒
	TrucoNextGameTime    int `json:"TrucoNextGameTime"`    // 游戏小结算，下一局 秒
	TrucoGameEndTime     int `json:"TrucoGameEndTime"`     // 游戏大结束结算面板动画时间 秒
	TrucoShowPoker       int `json:"TrucoShowPoker"`       // 展示手牌时间 秒
}

var GGlobal = &Global{
	TrucoWinPoint:        12,
	TrucoGameStartTime:   5,
	TrucoDealPokerTime:   3,
	TrucoDecidingGameNtf: 5,
	//TrucoActTime:                 8,
	TrucoActExTime: 2,
	//TrucoRspRaiseTime:            5,
	TrucoCmpPokerTime: 1,
	TrucoNextGameTime: 3,
	TrucoGameEndTime:  3,
	TrucoShowPoker:    3,
}
