package playtype

type PlayType int

const (
	PtPaulistaClean PlayType = 1000 //
	PtPaulistaDirty PlayType = 1001 //
	PtMineiroClean  PlayType = 1002 //
	PtMineiroDirty  PlayType = 1003 //

	PtCacheta = 1100
)

func (t PlayType) String() string {
	switch t {
	case PtPaulistaClean:
		return "PaulistaClean"
	case PtPaulistaDirty:
		return "PaulistaDirty"
	case PtMineiroClean:
		return "MineiroClean"
	case PtMineiroDirty:
		return "MineiroDirty"
	case PtCacheta:
		return "Cacheta"
	}
	return ""
}
