package util

import "strconv"

func Str[T int8 | uint8 | int16 | uint16 | int32 | uint32 | int64 | uint64 | int | uint](value T) string {
	return strconv.FormatInt(int64(value), 10)
}

func ToNumber[T int8 | uint8 | int16 | uint16 | int32 | uint32 | int64 | uint64 | int | uint](value string) (T, error) {
	v, err := strconv.ParseInt(value, 10, 64)
	return T(v), err
}
